# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: eyeD3.spec,v 1.8 2006/05/05 12:28:01 eugene Exp $

%define app_name eyeD3

Name: %app_name
Version: 0.6.12
Release: alt1

%setup_python_module %app_name

Summary: Console tool for displays and manipulates id3-tags on mp3 files
Summary(ru_RU.UTF-8): Консольное приложение для работы с ID3-тэгами MP3 файлов
License: GPL
Group: Sound
URL: http://eyed3.nicfit.net
BuildArch: noarch

Packager: Eugene Vlasov <eugvv@altlinux.ru>

Source0: %modulename-%version.tar.gz

Patch0: %modulename-long-tyer.patch
# Fix for "Tag not linked" error - merged in upstream
# Patch1: %modulename-0.6.8-link_tag.patch
# Fix for work with invalid WXXX tag - merged in upstream
# Patch2: %modulename-0.6.9-invalid_WXXX.patch

Requires: %packagename = %version

# Automatically added by buildreq on Sun Aug 28 2005
BuildRequires: python-base python-dev python-modules-compiler python-modules-encodings

%description
eyeD3 manipulates ID3 tags in mp3 files and is able to read/write and
convert between ID3 v1.0, v1.1, v2.3 and v2.4 tags. High-level access
is provided to most frames, including APIC (i.e., images) frames.

%description -l ru_RU.UTF-8
eyeD3 читает и изменяет ID3-тэги файлов формата MP3 и преобразует
тэги между форматами ID3 v1.0, v1.1, v2.3 и v2.4. Имеется
высоко-уровневый доступ к большинству фреймов, включая APIC (графика).


%package -n %packagename
Summary: A python module for processing mp3 files
Group: Development/Python

%description -n %packagename
eyeD3 is a Python module and program for processing ID3 tags.
Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided.  The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

This module is built for python %__python_version


%prep
%setup -q -n %modulename-%version
%patch0 -p1
# %patch1 -p1
# %patch2 -p0

%build
./configure --prefix=%_prefix --mandir=%_mandir
env CFLAGS="$RPM_OPT_FLAGS" make

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install
gzip -f -9 ChangeLog

%files
%_bindir/%app_name
%_man1dir/%app_name.1.gz
%exclude %_defaultdocdir/%modulename-%version/

%files -n %packagename
/usr/lib/python%__python_version/site-packages/%app_name
%doc AUTHORS ChangeLog.gz NEWS README README.html THANKS TODO


%changelog
* Wed Feb 28 2007 Eugene Vlasov <eugvv@altlinux.ru> 0.6.12-alt1
- New version

* Sun Nov 26 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.6.11-alt1
- New version
- Fixed build on x86_64

* Fri May 05 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.6.10-alt1
- New version
- Fix for work with invalid WXXX frames merged in upstream
- Minor spec fixes

* Sat Feb 04 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.6.9-alt2
- Fixed work with invalid WXXX frames
- Fixed unpackaged files warning

* Sun Jan 08 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.6.9-alt1
- New version
- Patch for new tag linking merged in upstream

* Sun Oct 16 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.8-alt2
- Fixed new tag linking

* Tue Aug 30 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.8-alt1
- New version, critical bug fixed

* Sun Aug 28 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.7-alt1
- New version

* Thu May 19 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.6-alt1
- New version

* Tue Apr 19 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.5-alt1
- New version

* Sat Mar 12 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt3
- Rebuild with python 2.4

* Mon Feb 14 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt2
- Fixed work with incorrect TYER frames

* Mon Feb 07 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt1
- New version

* Fri Nov 26 2004 Eugene Vlasov <eugvv@altlinux.ru> 0.6.3-alt1
- First build for Sisyphus

